
#ifndef PICDT_H
#define PICDT_H	1

#include <graphics/gfx.h>
#include <graphics/displayinfo.h>
#include <datatypes/pictureclass.h>

struct Picture
{
   struct BitMapHeader bmhd;  /* format and infos */
   struct BitMap *bmap;       /* bitmap */
   ULONG *palette;            /* color table in LoadRGB32() format */
   LONG palette_size;         /* mem usage */
   LONG palette_entries;      /* number of colors */
   ULONG display_ID;          /* video mode */
   UBYTE *author;             /* author info */
   UBYTE *copyright;          /* copyright info */
   UBYTE *annotation;         /* other info */
   LONG author_size;          /* mem usage */
   LONG copyright_size;       /* mem usage */
   LONG annotation_size;      /* mem usage */
};

extern void FreePicture(struct Picture *pic);
extern LONG GetDataTypesPicture(UBYTE *file_name, struct Picture *pic, ULONG);
extern BOOL IsDataTypes(UBYTE *file_name, UBYTE *name_buff, LONG nbuff_size);
extern BOOL ViewPicture(struct Picture *pic);

extern struct Library *DataTypesBase;


#endif
